﻿using UnityEngine;
using UnityEngine.SceneManagement;

/**
 * \file Credits.cs
 * \brief Permet de charger le menu principal a la fin des crédits
 * 
 * \version 1.0
 * \author Thibault CLAUSS
 */
public class Credits : MonoBehaviour
{
    /**Méthode permettant de charger le menu principal*/
     public void LoadMainMenu()
    {
        SceneManager.LoadScene("MainMenu");
    }

    /** Méthode propre à Unity qui execute une action à chaque mise à jour visuel du jeu. \n
     * Permet d'appuyer sur echap pour passer les credits*/
    private void Update()
    {
        if (Input.GetKeyDown(KeyCode.Escape))
            LoadMainMenu();
    }
}
